Loading...
Searching...
No Matches
casacore::MeasurementSet Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MeasurementSet.h>`

## Public Member Functions

| MeasurementSet ()
| This constructs an empty MeasurementSet, only useful to assign to (it is not a valid MS yet).
| MeasurementSet (const String &tableName, TableOption=Table::Old)
| These constructors mirror the Table ones with additional checking on validity (verifying that the MS will have the required columns and keywords) An exception is thrown if the constructed Table is not a valid MS.
| MeasurementSet (const String &tableName, const TableLock &lockOptions, TableOption=Table::Old)
| MeasurementSet (const String &tableName, const TableLock &lockOptions, bool doNotLockSubtables, TableOption=Table::Old)
| MeasurementSet (const String &tableName, const String &tableDescName, TableOption=Table::Old)
| Allows keeping subtables unlocked/read-locked independent of lock mode of main table.
| MeasurementSet (const String &tableName, const String &tableDescName, const TableLock &lockOptions, TableOption=Table::Old)
| MeasurementSet (SetupNewTable &newTab, rownr_t nrrow=0, Bool initialize=False)
| MeasurementSet (SetupNewTable &newTab, const TableLock &lockOptions, rownr_t nrrow=0, Bool initialize=False)
| MeasurementSet (const Table &table, const MeasurementSet *otherMs=NULL)
| MeasurementSet (MPI_Comm comm, SetupNewTable &newTab, rownr_t nrrow=0, Bool initialize=False)
| MeasurementSet (MPI_Comm comm, SetupNewTable &newTab, const TableLock &lockOptions, rownr_t nrrow=0, Bool initialize=False)
| MeasurementSet (const MeasurementSet &other)
virtual | ~MeasurementSet ()
| As with tables, the destructor writes the table if necessary.
MeasurementSet & | operator= (const MeasurementSet &)
| Assignment operator, reference semantics.
MeasurementSet | referenceCopy (const String &newTableName, const Block< String > &writableColumns) const
| Make a special copy of this MS which references all columns from this MS except those mentioned; those are empty and writable.
void | setMemoryResidentSubtables (const MrsEligibility &mrsEligibility)
| Converts the MS to make the specified set of subtables memory resident.
String | antennaTableName () const
| Return the name of each of the subtables.
String | dataDescriptionTableName () const
String | dopplerTableName () const
String | feedTableName () const
String | fieldTableName () const
String | flagCmdTableName () const
String | freqOffsetTableName () const
String | historyTableName () const
String | observationTableName () const
String | pointingTableName () const
String | polarizationTableName () const
String | processorTableName () const
String | sourceTableName () const
String | spectralWindowTableName () const
String | stateTableName () const
String | sysCalTableName () const
String | weatherTableName () const
MSAntenna & | antenna ()
| Access functions for the subtables, using the MS-like interface for each.
MSDataDescription & | dataDescription ()
MSDoppler & | doppler ()
MSFeed & | feed ()
MSField & | field ()
MSFlagCmd & | flagCmd ()
MSFreqOffset & | freqOffset ()
MSHistory & | history ()
MSObservation & | observation ()
MSPointing & | pointing ()
MSPolarization & | polarization ()
MSProcessor & | processor ()
MSSource & | source ()
MSSpectralWindow & | spectralWindow ()
MSState & | state ()
MSSysCal & | sysCal ()
MSWeather & | weather ()
const MSAntenna & | antenna () const
const MSDataDescription & | dataDescription () const
const MSDoppler & | doppler () const
const MSFeed & | feed () const
const MSField & | field () const
const MSFlagCmd & | flagCmd () const
const MSFreqOffset & | freqOffset () const
const MSHistory & | history () const
const MSObservation & | observation () const
const MSPointing & | pointing () const
const MSPolarization & | polarization () const
const MSProcessor & | processor () const
const MSSource & | source () const
const MSSpectralWindow & | spectralWindow () const
const MSState & | state () const
const MSSysCal & | sysCal () const
const MSWeather & | weather () const
MrsEligibility | getMrsEligibility () const
void | initRefs (Bool clear=False)
| Initialize the references to the subtables.
void | createDefaultSubtables (Table::TableOption option=Table::Scratch)
| Create default subtables: fills the required subtable keywords with tables of the correct type, mainly for testing and as an example of how to do this for specific fillers.
void | createDefaultSubtables (MPI_Comm comm, Table::TableOption option=Table::Scratch)
Bool | makeComplexData ()
| Create DATA column from existing FLOAT_DATA column.
Bool | validateMeasureRefs ()
| Validate Measure references - check that all Measure columns have their reference value set, report the ones that don't.
void | flush (Bool sync=False)
| Flush all the tables and subtables associated with this MeasurementSet.
Record | msseltoindex (const String &spw="", const String &field="", const String &baseline="", const String &time="", const String &scan="", const String &uvrange="", const String &observation="", const String &poln="", const String &taql="")
| Return a record of the indices that the msselection selection selected.
Public Member Functions inherited from casacore::MSTable< MSMainEnums >
Bool | isColumn (ColEnum which) const
| ColEnum convenience functions .
Bool | isColumnWritable (ColEnum which) const
| check to see if a column is writable
Bool | isScalar (ColEnum which) const
| Information about scalar vs array of a column.
Bool | isArray (ColEnum which) const
const String & | unit (const String &which) const
| Return the UNIT keyword value associated with the specified column.
Bool | isKeyword (KeyEnum which) const
| check to see if a keyword exists
Public Member Functions inherited from casacore::Table
| Table ()
| Create a null Table object (i.e.
| Table (const String &tableName, TableOption=Table::Old, const TSMOption &=TSMOption())
| Create a table object for an existing table.
| Table (const String &tableName, const TableLock &lockOptions, TableOption=Table::Old, const TSMOption &=TSMOption())
| Table (const String &tableName, const String &tableDescName, TableOption=Table::Old, const TSMOption &=TSMOption())
| Table (const String &tableName, const String &tableDescName, const TableLock &lockOptions, TableOption=Table::Old, const TSMOption &=TSMOption())
| Table (TableType, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Make a new empty table (plain (scratch) or memory type).
| Table (SetupNewTable &, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Make a table object for a new table, which can thereafter be used for reading and writing.
| Table (SetupNewTable &, TableType, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (SetupNewTable &, TableType, const TableLock &lockOptions, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (SetupNewTable &, TableLock::LockOption, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (SetupNewTable &, const TableLock &lockOptions, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (MPI_Comm mpiComm, TableType, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (MPI_Comm mpiComm, SetupNewTable &, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (MPI_Comm mpiComm, SetupNewTable &, TableType, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (MPI_Comm mpiComm, SetupNewTable &, TableType, const TableLock &lockOptions, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (MPI_Comm mpiComm, SetupNewTable &, TableLock::LockOption, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (MPI_Comm mpiComm, SetupNewTable &, const TableLock &lockOptions, rownr_t nrrow=0, Bool initialize=False, EndianFormat=Table::AipsrcEndian, const TSMOption &=TSMOption())
| Table (const Block< Table > &tables, const Block< String > &subTables=Block< String >(), const String &subDirName=String())
| Create a table object as the virtual concatenation of one or more of existing tables.
| Table (const Block< String > &tableNames, const Block< String > &subTables=Block< String >(), TableOption=Table::Old, const TSMOption &=TSMOption(), const String &subDirName=String())
| Table (const Block< String > &tableNames, const Block< String > &subTables, const TableLock &lockOptions, TableOption=Table::Old, const TSMOption &=TSMOption())
| Table (const Table &)
| Copy constructor (reference semantics).
virtual | ~Table ()
| The destructor flushes (i.e.
Table & | operator= (const Table &)
| Assignment (reference semantics).
Block< String > | getPartNames (Bool recursive=False) const
| Get the names of the tables this table consists of.
Bool | isSameTable (const Table &other) const
| Is this table the same as the other?
Bool | isSameRoot (const Table &other) const
| Is the root table of this table the same as that of the other one?
void | closeSubTables () const
| Close all open subtables.
void | reopenRW ()
| Try to reopen the table for read/write access.
void | changeTiledDataOnly ()
| Indicate we will leave the table unchanged except for the values of the data in columns stored with a TiledShape storage manager.
Table::EndianFormat | endianFormat () const
| Get the endian format in which the table is stored.
const StorageOption & | storageOption () const
| Get the storage option used for the table.
Bool | isMultiUsed (Bool checkSubTables=False) const
| Is the table used (i.e.
const TableLock & | lockOptions () const
| Get the locking options.
Bool | hasLock (FileLocker::LockType=FileLocker::Write) const
| Has this process the read or write lock, thus can the table be read or written safely?
Bool | hasLock (Bool write) const
Bool | lock (FileLocker::LockType=FileLocker::Write, uInt nattempts=0)
| Try to lock the table for read or write access (default is write).
Bool | lock (Bool write, uInt nattempts=0)
void | unlock ()
| Unlock the table.
Bool | hasDataChanged ()
| Determine if column or keyword table data have changed (or is being changed) since the last time this function was called.
void | flush (Bool fsync=False, Bool recursive=False)
| Flush the table, i.e.
void | resync ()
| Resynchronize the Table object with the table file.
Bool | isNull () const
| Test if the object is null, i.e.
void | throwIfNull () const
| Throw an exception if the object is null, i.e.
void | showStructure (std::ostream &, Bool showDataMans=True, Bool showColumns=True, Bool showSubTables=False, Bool sortColumns=False, Bool cOrder=False) const
| Show the structure of the table.
void | showKeywords (std::ostream &, Bool showSubTables=False, Bool showTabKey=True, Bool showColKey=False, Int maxVal=25) const
| Show the table and/or column keywords, possibly also of all subtables.
void | showKeywordSets (std::ostream &, Bool showTabKey, Bool showColKey, Int maxVal) const
| Show the table and/or column keywords of this table.
Bool | isRootTable () const
| Test if this table is the root table (ie.
Bool | isWritable () const
| Test if this table is opened as writable.
Bool | isColumnWritable (const String &columnName) const
| Test if the given column is writable.
Bool | isColumnWritable (uInt columnIndex) const
Bool | isColumnStored (const String &columnName) const
| Test if the given column is stored (otherwise it is virtual).
Bool | isColumnStored (uInt columnIndex) const
const TableRecord & | keywordSet () const
| Get readonly access to the table keyword set.
TableRecord & | rwKeywordSet ()
| Get read/write access to the table keyword set.
const TableInfo & | tableInfo () const
| Get access to the TableInfo object.
TableInfo & | tableInfo ()
void | flushTableInfo () const
| Write the TableInfo object.
const TableDesc & | tableDesc () const
| Get the table description.
TableDesc | actualTableDesc () const
Record | dataManagerInfo () const
| Return all data managers used and the columns served by them.
const String & | tableName () const
| Get the table name.
void | rename (const String &newName, TableOption)
| Rename the table and all its subtables.
void | copy (const String &newName, TableOption, Bool noRows=False) const
| Copy the table and all its subtables.
void | deepCopy (const String &newName, TableOption, Bool valueCopy=False, EndianFormat=AipsrcEndian, Bool noRows=False) const
void | deepCopy (const String &newName, const Record &dataManagerInfo, TableOption, Bool valueCopy=False, EndianFormat=AipsrcEndian, Bool noRows=False) const
void | deepCopy (const String &newName, const Record &dataManagerInfo, const StorageOption &, TableOption, Bool valueCopy=False, EndianFormat=AipsrcEndian, Bool noRows=False) const
Table | copyToMemoryTable (const String &name, Bool noRows=False) const
| Make a copy of a table to a MemoryTable object.
TableType | tableType () const
| Get the table type.
int | tableOption () const
| Get the table option.
void | markForDelete ()
| Mark the table for delete.
void | unmarkForDelete ()
| Unmark the table for delete.
Bool | isMarkedForDelete () const
| Test if the table is marked for delete.
rownr_t | nrow () const
| Get the number of rows.
Bool | canAddRow () const
| Test if it is possible to add a row to this table.
void | addRow (rownr_t nrrow=1, Bool initialize=False)
| Add one or more rows at the end of the table.
Bool | canRemoveRow () const
| Test if it is possible to remove a row from this table.
void | removeRow (rownr_t rownr)
| Remove the given row(s).
void | removeRow (const RowNumbers &rownrs)
TableExprNode | key (const String &keywordName) const
| Create a TableExprNode object for a column or for a keyword in the table keyword set.
TableExprNode | key (const Vector< String > &fieldNames) const
TableExprNode | col (const String &columnName) const
TableExprNode | col (const String &columnName, const Vector< String > &fieldNames) const
TableExprNode | nodeRownr (rownr_t origin=0) const
| Create a TableExprNode object for the rownumber function.
TableExprNode | nodeRandom () const
| Create a TableExprNode object for the rand function.
Table | operator() (const TableExprNode &, rownr_t maxRow=0, rownr_t offset=0) const
| Select rows from a table using an select expression consisting of TableExprNode objects.
Table | operator() (const RowNumbers &rownrs) const
| Select rows using a vector of row numbers.
Table | operator() (const Block< Bool > &mask) const
| Select rows using a mask block.
Table | project (const Block< String > &columnNames) const
| Project the given columns (i.e.
Table | operator& (const Table &) const
| Do logical operations on a table.
Table | operator| (const Table &) const
| Union with another table.
Table | operator- (const Table &) const
| Subtract another table.
Table | operator^ (const Table &) const
| Xor with another table.
Table | operator! () const
| Take complement.
Table | sort (const String &columnName, int=Sort::Ascending, int=Sort::ParSort) const
| Sort a table on one or more columns of scalars.
Table | sort (const Block< String > &columnNames, int=Sort::Ascending, int=Sort::ParSort) const
| Sort on multiple columns.
Table | sort (const Block< String > &columnNames, const Block< Int > &sortOrders, int=Sort::ParSort) const
| Sort on multiple columns.
Table | sort (const Block< String > &columnNames, const Block< std::shared_ptr< BaseCompare > > &compareObjects, const Block< Int > &sortOrders, int=Sort::ParSort) const
| Sort on multiple columns.
RowNumbers | rowNumbers () const
| Get a vector of row numbers in the root table of rows in this table.
RowNumbers | rowNumbers (const Table &that, Bool tryFast=False) const
| Get a vector of row numbers in that table of rows in this table.
void | addColumn (const ColumnDesc &columnDesc, Bool addToParent=True)
| Add a column to the table.
void | addColumn (const ColumnDesc &columnDesc, const String &dataManager, Bool byName, Bool addToParent=True)
| Use an existing data manager with the given name or type.
void | addColumn (const ColumnDesc &columnDesc, const DataManager &dataManager, Bool addToParent=True)
| Use the given data manager (which is a new one).
void | addColumn (const TableDesc &tableDesc, const DataManager &dataManager, Bool addToParent=True)
| Add a bunch of columns using the given new data manager.
void | addColumn (const TableDesc &tableDesc, const Record &dataManagerInfo, Bool addToParent=True)
Bool | canRemoveColumn (const String &columnName) const
| Test if columns can be removed.
Bool | canRemoveColumn (const Vector< String > &columnNames) const
void | removeColumn (const String &columnName)
| Remove columns.
void | removeColumn (const Vector< String > &columnName)
Bool | canRenameColumn (const String &columnName) const
| Test if a column can be renamed.
void | renameColumn (const String &newName, const String &oldName)
| Rename a column.
void | renameHypercolumn (const String &newName, const String &oldName)
void | getTableKeyword (AipsIO &, Bool openWritable)
| Read a table from AipsIO (for TableKeywords).
DataManager * | findDataManager (const String &name, Bool byColumn=False) const
| Find the data manager with the given name or for the given column name.

## Static Public Member Functions

static MSTableMaps | initMaps ()
| Initialize the statics appropriately.
Static Public Member Functions inherited from casacore::MSTable< MSMainEnums >
static const String & | columnName (ColEnum which)
| Convert a ColEnum to the actual column name.
static ColEnum | columnType (const String &name)
| Convert a name to a ColEnum.
static DataType | columnDataType (ColEnum which)
| return the data type for a given ColEnum
static const String & | columnStandardComment (ColEnum which)
| return the standard comment for a given ColEnum
static const String & | columnUnit (ColEnum which)
| return the UNIT string for a given ColEnum
static const String & | columnMeasureType (ColEnum which)
| return the MEASURE_TYPE string for a given ColEnum
static void | addColumnToDesc (TableDesc &tabDesc, ColEnum which, Int ndim=-1, const String &refCol="")
| add a column to a TableDesc An exception is thrown for an invalid data type.
static const String & | keywordName (KeyEnum which)
| KeyEnum convenience functions .
static KeyEnum | keywordType (const String &name)
static DataType | keywordDataType (KeyEnum which)
static const String & | keywordStandardComment (KeyEnum which)
static void | addKeyToDesc (TableDesc &, KeyEnum key)
| add a keyword to a TableDesc An exception is thrown for an invalid data type.
static Bool | validate (const TableDesc &tabDesc)
| tableDesc convenience functions
static const TableDesc & | requiredTableDesc ()
| return the required table description
static void | addColumnCompression (TableDesc &td, ColEnum which, Bool autoScale=True, const String &type=String())
| Add the compress option for the given column to the TableDesc.
Static Public Member Functions inherited from casacore::Table
static ScratchCallback * | setScratchCallback (ScratchCallback *)
| Set the pointer to the ScratchCallback function.
static Bool | isOpened (const String &tableName)
| Is the table used (i.e.
static uInt | nAutoLocks ()
| Determine the number of locked tables opened with the AutoLock option (Locked table means locked for read and/or write).
static void | relinquishAutoLocks (Bool all=False)
| Unlock locked tables opened with the AutoLock option.
static Vector< String > | getLockedTables (FileLocker::LockType=FileLocker::Read, int lockOption=-1)
| Get the names of tables locked in this process.
static Bool | isNativeDataType (DataType dtype)
| Test if the given data type is native to the table system.
static String | fileName (const String &tableName)
| Make the table file name.
static Bool | isReadable (const String &tableName, bool throwIf=False)
| Test if a table with the given name exists and is readable.
static Bool | isWritable (const String &tableName, bool throwIf=False)
| Test if a table with the given name exists and is writable.
static Vector< String > | nonWritableFiles (const String &tableName)
| Find the non-writable files in a table.

## Protected Member Functions

void | clearSubtables ()
| Clears all of the subtable components of this object (i.e., set to value of subtable's default constructor).
void | copySubtable (const Table &otherSubtable, Table &subTable)
| Assigns one subtable to another if the original subtable (otherSubtable) is not null and is also memory resident.
void | copySubtables (const MeasurementSet &other)
| Copies (assigns) all of the non-null subtables from the other MS into this one.
Bool | isEligibleForMemoryResidency (const String &subtableName) const
| Returns true if the named subtable is eligible for memory residency.
void | openMrSubtables ()
| Opens all of the eligible subtables in memory resident form.
Protected Member Functions inherited from casacore::MSTable< MSMainEnums >
| MSTable ()
| These constructors mirror the Table ones .
| ~MSTable ()
MSTable & | operator= (const MSTable< MSMainEnums > &)
| Assignment operator, reference semantics.
Table | referenceCopy (const String &newTableName, const Block< String > &writableColumns) const
| Return a table that references all columns in this table except for those given in writableColumns, those are empty and writable.

## Static Protected Member Functions

static String | getMrsAipsRcBase ()
| The top level name for MRS related CASARC settings.
Static Protected Member Functions inherited from casacore::MSTable< MSMainEnums >
static MSTableMaps & | getMaps ()
| Get the static struct containing all column and keyword mappings.
static void | colMapDef (MSTableMaps &maps, ColEnum col, const String &colName, DataType colType, const String &colComment, const String &colUnit="", const String &colMeasureType="")
| Define an entry in the column maps.
static void | keyMapDef (MSTableMaps &maps, KeyEnum key, const String &keyName, DataType keyType, const String &keyComment)
| Define an entry in the keyword maps.

## Private Member Functions

void | addCat ()
| temporary function to add the CATEGORY keyword to the FLAG_CATEGORY column if it isn't there yet.
void | checkVersion ()
| check that the MS is the latest version (2.0)
template<typename T>
void | createDefaultSubtables_impl (Table::TableOption option, T comm)
| Creates subtables using an explicit MPI communicator (if MPI support is enabled).
template<typename Subtable>
void | openMrSubtable (Subtable &subtable, const String &subtableName)
| Opens a single subtable as memory resident (if permitted).
template<typename Subtable>
void | openSubtable (Subtable &subtable, const String &subtableName, Bool useLock)
| Opens a single subtable if not present in MS object but defined in on-disk MS.

## Private Attributes

MSAntenna | antenna_p
| keep references to the subtables
MSDataDescription | dataDesc_p
MSDoppler | doppler_p
MSFeed | feed_p
MSField | field_p
MSFlagCmd | flagCmd_p
MSFreqOffset | freqOffset_p
MSHistory | history_p
MSObservation | observation_p
MSPointing | pointing_p
MSPolarization | polarization_p
MSProcessor | processor_p
MSSource | source_p
MSSpectralWindow | spectralWindow_p
MSState | state_p
MSSysCal | sysCal_p
MSWeather | weather_p
bool | doNotLockSubtables_p
int | mrsDebugLevel_p
Bool | hasBeenDestroyed_p
TableLock | mainLock_p
Bool | memoryResidentSubtables_p
MrsEligibility | mrsEligibility_p

## Additional Inherited Members

Public Types inherited from casacore::MSTable< MSMainEnums >
typedef MSMainEnums::PredefinedColumns | ColEnum
| Define the column and keyword enuym types.
typedef MSMainEnums::PredefinedKeywords | KeyEnum
Public Types inherited from casacore::Table
enum | TableOption { Old , New , NewNoReplace , Scratch , Update , Delete }
| Define the possible options how a table can be opened. More...
enum | TableType { Plain , Memory }
| Define the possible table types. More...
enum | EndianFormat { BigEndian , LittleEndian , LocalEndian , AipsrcEndian }
| Define the possible endian formats in which table data can be stored. More...
typedef void | ScratchCallback(const String &name, Bool isScratch, const String &oldName)
| Define the signature of the function being called when the state of a scratch table changes (i.e.
Public Types inherited from casacore::MSMainEnums

enum

PredefinedColumns {
UNDEFINED_COLUMN ,
ANTENNA1 ,
ANTENNA2 ,
ARRAY_ID ,
DATA_DESC_ID ,
EXPOSURE ,
FEED1 ,
FEED2 ,
FIELD_ID ,
FLAG ,
FLAG_CATEGORY ,
FLAG_ROW ,
INTERVAL ,
OBSERVATION_ID ,
PROCESSOR_ID ,
SCAN_NUMBER ,
SIGMA ,
STATE_ID ,
TIME ,
TIME_CENTROID ,
UVW ,
WEIGHT ,
NUMBER_REQUIRED_COLUMNS ,
ANTENNA3 ,
BASELINE_REF ,
CORRECTED_DATA ,
DATA ,
FEED3 ,
FLOAT_DATA ,
IMAGING_WEIGHT ,
LAG_DATA ,
MODEL_DATA ,
PHASE_ID ,
PULSAR_BIN ,
PULSAR_GATE_ID ,
SIGMA_SPECTRUM ,
TIME_EXTRA_PREC ,
UVW2 ,
VIDEO_POINT ,
WEIGHT_SPECTRUM ,
CORRECTED_WEIGHT_SPECTRUM ,
NUMBER_PREDEFINED_COLUMNS
}

| The Main table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , ANTENNA , DATA_DESCRIPTION , FEED , FIELD , FLAG_CMD , HISTORY , MS_VERSION , OBSERVATION , POINTING , POLARIZATION , PROCESSOR , SPECTRAL_WINDOW , STATE , NUMBER_REQUIRED_KEYWORDS , CAL_TABLES , DOPPLER , FREQ_OFFSET , SORT_COLUMNS , SORT_ORDER , SORTED_TABLES , SOURCE , SYSCAL , WEATHER , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

A Table intended to hold astronomical data (a set of Measurements).

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01
Test programs:
  tMeasurementSet

### Prerequisite

- Tables module
- MSTable

### Etymology

The MeasurementSet is where all data are ultimately to be found in Casacore. Since, this is a collection of measurements (either actual or simulated), the term MeasurementSet seems appropriate.

### Synopsis

A MeasurementSet is a Table. Most operations on a MeasurementSet are Table operations. See the Tables
module for a list of those operations. The member functions provided by this class are primarily convenience functions to help users follow the agreed upon column and keyword naming conventions. They are useful when creating a Table following the MeasurementSet conventions from scratch as well as when creating the column objects to access those columns.

The standard way of accessing table columns is through Strings. Mistakes in typing the column name will not be caught at compile time (and may not be caught at run time). We have therefore decided to use an enumeration to specify columns so that many mistakes will be caught at compile time. This requires functions to map to and from this enumeration to the strings that are ultimately used.

Upon destruction, the table is checked to see that the MeasurementSet remains valid, i.e., all required columns are present An exception is thrown if not all required columns are present Nevertheless, the table will be flushed to disk if it is writable - preserving its state.

A MeasurementSet has a number of required subtables. These are stored as keywords in the Table. Access to these subtables is provided via member functions (e.g. antenna() for the ANTENNA table). All subtables have associated MeasurementSet-like classes defined for them (MSAntenna for the ANTENNA table) which provide analogous column and keyword mapping as provided here.

While the class name, MeasurementSet, is descriptive, it is often too long for many common uses. The typedef MS is provided as a convenient shorthand for MeasurementSet. The example below uses this typedef.

Due to the inheritance scheme, it was necessary to separate the enumerations used by MeasurementSet into a separate class, MSMainEnums.

### Example

This example illustrates a simple use of the MeasurementSet class.

// create the table descriptor
TableDesc simpleDesc = MS::requiredTableDesc();
// set up a new table
SetupNewTable newTab("simpleTab", simpleDesc, Table::New);
// create the MeasurementSet
MeasurementSet simpleMS(newTab);
// now we need to define all required subtables
// the following call does this for us if we don't need to
// specify details of Storage Managers for columns.
simpleMS.createDefaultSubtables(Table::New);
// fill MeasurementSet via its Table interface
// For example, construct one of the columns
TableColumn feed(simpleMS, MS::columnName(MS::FEED1));
rownr_t rownr = 0;
// add a row
simpleMS.addRow();
// set the values in that row, e.g. the feed column
feed.putScalar(rownr,1);
// Access a subtable
ArrayColumn<Double> antpos(simpleMS.antenna(),
MSAntenna::columnName(MSAntenna::POSITION));
simpleMS.antenna().addRow();
Array<Double> position(3);
position(0)=1.; position(1)=2.; position(2)=3.;
antpos.put(0,position);
// etc.
casacore::ArrayColumn
Definition ArrayColumn.h:98
casacore::Array
Definition Array.h:155
casacore::MSAntennaEnums::POSITION
@ POSITION
Antenna X,Y,Z phase reference positions in the IERS Terrestrial Reference Frame (ITRF); right-handed,...
Definition MSAntennaEnums.h:89
casacore::MSMainEnums::FEED1
@ FEED1
Feed id on ANTENNA1.
Definition MSMainEnums.h:90
casacore::MSTable< MSMainEnums >::requiredTableDesc
static const TableDesc & requiredTableDesc()
casacore::MSTable< MSMainEnums >::columnName
static const String & columnName(ColEnum which)
casacore::MeasurementSet::MeasurementSet
MeasurementSet()
This constructs an empty MeasurementSet, only useful to assign to (it is not a valid MS yet).
casacore::MeasurementSet::feed
MSFeed & feed()
Definition MeasurementSet.h:377
casacore::SetupNewTable
Create a new table - define shapes, data managers, etc.
Definition SetupNewTab.h:337
casacore::TableColumn
Definition TableColumn.h:97
casacore::TableDesc
Definition TableDesc.h:189
casacore::Table::New
@ New
create table
Definition Table.h:175
casacore::rownr_t
uInt64 rownr_t
Define the type of a row number in a table.
Definition aipsxtype.h:44

### Motivation

The Table module is more than adequate as a container of data.
However, in order for applications to be useful with data from different sources, some conventions need to be adopted in the use of Tables to store data. The MeasurementSet is where those conventions are defined and, to some extent, enforced.

There are a number of reasons why MeasurementSet is more than just a Table.

- To provide one location where the column and keyword names, data types, and table comment strings are found.
- To provide one location where the required table descriptor for the MeasurementSet is found.
- To provide a means of verifying the validity of a MeasurementSet at construction and destruction.
- To allow application programmers to catch name or data type mistakes at compile time rather than at run time.

### To Do

- referenceCopy() should be more flexible with the storage managers used for the columns which are not merely references.
- When ForwardColumnEngine is fixed so that it can deal with tables already in the cache, modify the test program. It may also be necessary to modify referenceCopy().

Definition at line 276 of file MeasurementSet.h.

## Constructor & Destructor Documentation

## MeasurementSet() [1/12]

casacore::MeasurementSet::MeasurementSet | ( |  | ) |

This constructs an empty MeasurementSet, only useful to assign to (it is not a valid MS yet).

Referenced by copySubtables(), MeasurementSet(), MeasurementSet(), operator=(), and referenceCopy().

## MeasurementSet() [2/12]

casacore::MeasurementSet::MeasurementSet | ( | const String & | tableName,
|  | TableOption | = Table::Old )

These constructors mirror the Table ones with additional checking on validity (verifying that the MS will have the required columns and keywords) An exception is thrown if the constructed Table is not a valid MS.

### Thrown Exceptions

- AipsError

References casacore::Table::Old, and casacore::Table::tableName().

## MeasurementSet() [3/12]

casacore::MeasurementSet::MeasurementSet | ( | const String & | tableName,
|  | const TableLock & | lockOptions,
|  | TableOption | = Table::Old )

References casacore::Table::lockOptions(), casacore::Table::Old, and casacore::Table::tableName().

## MeasurementSet() [4/12]

casacore::MeasurementSet::MeasurementSet | ( | const String & | tableName,
|  | const TableLock & | lockOptions,
|  | bool | doNotLockSubtables,
|  | TableOption | = Table::Old )

References casacore::Table::lockOptions(), casacore::Table::Old, and casacore::Table::tableName().

## MeasurementSet() [5/12]

casacore::MeasurementSet::MeasurementSet | ( | const String & | tableName,
|  | const String & | tableDescName,
|  | TableOption | = Table::Old )

Allows keeping subtables unlocked/read-locked independent of lock mode of main table.

References casacore::Table::Old, and casacore::Table::tableName().

## MeasurementSet() [6/12]

casacore::MeasurementSet::MeasurementSet | ( | const String & | tableName,
|  | const String & | tableDescName,
|  | const TableLock & | lockOptions,
|  | TableOption | = Table::Old )

References casacore::Table::lockOptions(), casacore::Table::Old, and casacore::Table::tableName().

## MeasurementSet() [7/12]

casacore::MeasurementSet::MeasurementSet | ( | SetupNewTable & | newTab,
|  | rownr_t | nrrow = 0,
|  | Bool | initialize = False )

References casacore::False.

## MeasurementSet() [8/12]

casacore::MeasurementSet::MeasurementSet | ( | SetupNewTable & | newTab,
|  | const TableLock & | lockOptions,
|  | rownr_t | nrrow = 0,
|  | Bool | initialize = False )

References casacore::False, and casacore::Table::lockOptions().

## MeasurementSet() [9/12]

casacore::MeasurementSet::MeasurementSet | ( | const Table & | table,
|  | const MeasurementSet * | otherMs = NULL )

References MeasurementSet().

## MeasurementSet() [10/12]

casacore::MeasurementSet::MeasurementSet | ( | MPI_Comm | comm,
|  | SetupNewTable & | newTab,
|  | rownr_t | nrrow = 0,
|  | Bool | initialize = False )

References casacore::False.

## MeasurementSet() [11/12]

casacore::MeasurementSet::MeasurementSet | ( | MPI_Comm | comm,
|  | SetupNewTable & | newTab,
|  | const TableLock & | lockOptions,
|  | rownr_t | nrrow = 0,
|  | Bool | initialize = False )

References casacore::False, and casacore::Table::lockOptions().

## MeasurementSet() [12/12]

casacore::MeasurementSet::MeasurementSet | ( | const MeasurementSet & | other | ) |

References MeasurementSet().

## ~MeasurementSet()

virtual casacore::MeasurementSet::~MeasurementSet | ( |  | ) |

virtual

As with tables, the destructor writes the table if necessary.

Additional checking is done here to verify that all required columns are still present. If it is NOT valid, it will write the table and then throw an exception.

### Thrown Exceptions

- AipsError

## Member Function Documentation

## addCat()

void casacore::MeasurementSet::addCat | ( |  | ) |

private

temporary function to add the CATEGORY keyword to the FLAG_CATEGORY column if it isn't there yet.

2000/08/22 remove this and the calls next MS update

## antenna() [1/2]

MSAntenna & casacore::MeasurementSet::antenna | ( |  | ) |

inline

Access functions for the subtables, using the MS-like interface for each.

Definition at line 374 of file MeasurementSet.h.

References antenna_p.

Referenced by casacore::MSInterface::antenna().

## antenna() [2/2]

const MSAntenna & casacore::MeasurementSet::antenna | ( |  | ) | const

inline

Definition at line 391 of file MeasurementSet.h.

References antenna_p.

## antennaTableName()

String casacore::MeasurementSet::antennaTableName | ( |  | ) | const

Return the name of each of the subtables.

This should be used by the filler to create the subtables in the correct location.

## checkVersion()

void casacore::MeasurementSet::checkVersion | ( |  | ) |

private

check that the MS is the latest version (2.0)

## clearSubtables()

void casacore::MeasurementSet::clearSubtables | ( |  | ) |

protected

Clears all of the subtable components of this object (i.e., set to value of subtable's default constructor).

## copySubtable()

void casacore::MeasurementSet::copySubtable | ( | const Table & | otherSubtable,
|  | Table & | subTable )

protected

Assigns one subtable to another if the original subtable (otherSubtable) is not null and is also memory resident.

## copySubtables()

void casacore::MeasurementSet::copySubtables | ( | const MeasurementSet & | other | ) |

protected

Copies (assigns) all of the non-null subtables from the other MS into this one.

References MeasurementSet().

## createDefaultSubtables() [1/2]

void casacore::MeasurementSet::createDefaultSubtables | ( | MPI_Comm | comm,
|  | Table::TableOption | option = Table::Scratch )

References casacore::Table::Scratch.

## createDefaultSubtables() [2/2]

void casacore::MeasurementSet::createDefaultSubtables | ( | Table::TableOption | option = Table::Scratch | ) |

Create default subtables: fills the required subtable keywords with tables of the correct type, mainly for testing and as an example of how to do this for specific fillers.

In practice these tables will often have more things specified, like dimensions of arrays and storage managers for the various columns.

References casacore::Table::Scratch.

## createDefaultSubtables_impl()

template<typename T>

void casacore::MeasurementSet::createDefaultSubtables_impl | ( | Table::TableOption | option,
|  | T | comm )

private

Creates subtables using an explicit MPI communicator (if MPI support is enabled).

## dataDescription() [1/2]

MSDataDescription & casacore::MeasurementSet::dataDescription | ( |  | ) |

inline

Definition at line 375 of file MeasurementSet.h.

References dataDesc_p.

Referenced by casacore::MSInterface::dataDescription().

## dataDescription() [2/2]

const MSDataDescription & casacore::MeasurementSet::dataDescription | ( |  | ) | const

inline

Definition at line 392 of file MeasurementSet.h.

References dataDesc_p.

## dataDescriptionTableName()

String casacore::MeasurementSet::dataDescriptionTableName | ( |  | ) | const

## doppler() [1/2]

MSDoppler & casacore::MeasurementSet::doppler | ( |  | ) |

inline

Definition at line 376 of file MeasurementSet.h.

References doppler_p.

## doppler() [2/2]

const MSDoppler & casacore::MeasurementSet::doppler | ( |  | ) | const

inline

Definition at line 393 of file MeasurementSet.h.

References doppler_p.

## dopplerTableName()

String casacore::MeasurementSet::dopplerTableName | ( |  | ) | const

## feed() [1/2]

MSFeed & casacore::MeasurementSet::feed | ( |  | ) |

inline

Definition at line 377 of file MeasurementSet.h.

References feed_p.

## feed() [2/2]

const MSFeed & casacore::MeasurementSet::feed | ( |  | ) | const

inline

Definition at line 394 of file MeasurementSet.h.

References feed_p.

## feedTableName()

String casacore::MeasurementSet::feedTableName | ( |  | ) | const

## field() [1/2]

MSField & casacore::MeasurementSet::field | ( |  | ) |

inline

Definition at line 378 of file MeasurementSet.h.

References field_p.

Referenced by casacore::MSInterface::field(), and msseltoindex().

## field() [2/2]

const MSField & casacore::MeasurementSet::field | ( |  | ) | const

inline

Definition at line 395 of file MeasurementSet.h.

References field_p.

## fieldTableName()

String casacore::MeasurementSet::fieldTableName | ( |  | ) | const

## flagCmd() [1/2]

MSFlagCmd & casacore::MeasurementSet::flagCmd | ( |  | ) |

inline

Definition at line 379 of file MeasurementSet.h.

References flagCmd_p.

## flagCmd() [2/2]

const MSFlagCmd & casacore::MeasurementSet::flagCmd | ( |  | ) | const

inline

Definition at line 396 of file MeasurementSet.h.

References flagCmd_p.

## flagCmdTableName()

String casacore::MeasurementSet::flagCmdTableName | ( |  | ) | const

## flush()

void casacore::MeasurementSet::flush | ( | Bool | sync = False | ) |

Flush all the tables and subtables associated with this MeasurementSet.

This function calls the Table::flush() function on the main table and all the standard subtables including optional subtables. See the Table class for a description of the sync argument.

References casacore::False.

## freqOffset() [1/2]

MSFreqOffset & casacore::MeasurementSet::freqOffset | ( |  | ) |

inline

Definition at line 380 of file MeasurementSet.h.

References freqOffset_p.

## freqOffset() [2/2]

const MSFreqOffset & casacore::MeasurementSet::freqOffset | ( |  | ) | const

inline

Definition at line 397 of file MeasurementSet.h.

References freqOffset_p.

## freqOffsetTableName()

String casacore::MeasurementSet::freqOffsetTableName | ( |  | ) | const

## getMrsAipsRcBase()

String casacore::MeasurementSet::getMrsAipsRcBase | ( |  | ) |

inline static protected

The top level name for MRS related CASARC settings.

Definition at line 475 of file MeasurementSet.h.

## getMrsEligibility()

MrsEligibility casacore::MeasurementSet::getMrsEligibility | ( |  | ) | const

## history() [1/2]

MSHistory & casacore::MeasurementSet::history | ( |  | ) |

inline

Definition at line 381 of file MeasurementSet.h.

References history_p.

## history() [2/2]

const MSHistory & casacore::MeasurementSet::history | ( |  | ) | const

inline

Definition at line 398 of file MeasurementSet.h.

References history_p.

## historyTableName()

String casacore::MeasurementSet::historyTableName | ( |  | ) | const

## initMaps()

MSTableMaps casacore::MeasurementSet::initMaps | ( |  | ) |

static

Initialize the statics appropriately.

This does not need to be called by users, it is called by the implementation class MSTableImpl.

## initRefs()

void casacore::MeasurementSet::initRefs | ( | Bool | clear = False | ) |

Initialize the references to the subtables.

You need to call this only if you assign new subtables to the table keywords. This also checks for validity of the table and its subtables. Set clear to True to clear the subtable references (used in assignment)

References casacore::False.

## isEligibleForMemoryResidency()

Bool casacore::MeasurementSet::isEligibleForMemoryResidency | ( | const String & | subtableName | ) | const

protected

Returns true if the named subtable is eligible for memory residency.

## makeComplexData()

Bool casacore::MeasurementSet::makeComplexData | ( |  | ) |

Create DATA column from existing FLOAT_DATA column.

Noop if DATA already exists or neither exists (returns False in that case).

## msseltoindex()

Record casacore::MeasurementSet::msseltoindex | ( | const String & | spw = "",
|  | const String & | field = "",
|  | const String & | baseline = "",
|  | const String & | time = "",
|  | const String & | scan = "",
|  | const String & | uvrange = "",
|  | const String & | observation = "",
|  | const String & | poln = "",
|  | const String & | taql = "" )

Return a record of the indices that the msselection selection selected.

References field(), observation(), casacore::Record(), and casacore::time().

## observation() [1/2]

MSObservation & casacore::MeasurementSet::observation | ( |  | ) |

inline

Definition at line 382 of file MeasurementSet.h.

References observation_p.

Referenced by msseltoindex(), and casacore::MSInterface::observation().

## observation() [2/2]

const MSObservation & casacore::MeasurementSet::observation | ( |  | ) | const

inline

Definition at line 399 of file MeasurementSet.h.

References observation_p.

## observationTableName()

String casacore::MeasurementSet::observationTableName | ( |  | ) | const

## openMrSubtable()

template<typename Subtable>

void casacore::MeasurementSet::openMrSubtable | ( | Subtable & | subtable,
|  | const String & | subtableName )

private

Opens a single subtable as memory resident (if permitted).

## openMrSubtables()

void casacore::MeasurementSet::openMrSubtables | ( |  | ) |

protected

Opens all of the eligible subtables in memory resident form.

## openSubtable()

template<typename Subtable>

void casacore::MeasurementSet::openSubtable | ( | Subtable & | subtable,
|  | const String & | subtableName,
|  | Bool | useLock )

private

Opens a single subtable if not present in MS object but defined in on-disk MS.

## operator=()

MeasurementSet & casacore::MeasurementSet::operator= | ( | const MeasurementSet & |  | ) |

Assignment operator, reference semantics.

References MeasurementSet().

## pointing() [1/2]

MSPointing & casacore::MeasurementSet::pointing | ( |  | ) |

inline

Definition at line 383 of file MeasurementSet.h.

References pointing_p.

## pointing() [2/2]

const MSPointing & casacore::MeasurementSet::pointing | ( |  | ) | const

inline

Definition at line 400 of file MeasurementSet.h.

References pointing_p.

## pointingTableName()

String casacore::MeasurementSet::pointingTableName | ( |  | ) | const

## polarization() [1/2]

MSPolarization & casacore::MeasurementSet::polarization | ( |  | ) |

inline

Definition at line 384 of file MeasurementSet.h.

References polarization_p.

## polarization() [2/2]

const MSPolarization & casacore::MeasurementSet::polarization | ( |  | ) | const

inline

Definition at line 401 of file MeasurementSet.h.

References polarization_p.

## polarizationTableName()

String casacore::MeasurementSet::polarizationTableName | ( |  | ) | const

## processor() [1/2]

MSProcessor & casacore::MeasurementSet::processor | ( |  | ) |

inline

Definition at line 385 of file MeasurementSet.h.

References processor_p.

## processor() [2/2]

const MSProcessor & casacore::MeasurementSet::processor | ( |  | ) | const

inline

Definition at line 402 of file MeasurementSet.h.

References processor_p.

## processorTableName()

String casacore::MeasurementSet::processorTableName | ( |  | ) | const

## referenceCopy()

MeasurementSet casacore::MeasurementSet::referenceCopy | ( | const String & | newTableName,
|  | const Block< String > & | writableColumns ) const

Make a special copy of this MS which references all columns from this MS except those mentioned; those are empty and writable.

Each forwarded column has the same writable status as the underlying column. The mentioned columns all use the AipsIO storage manager. The main use of this is for the synthesis package where corrected and model visibilities are stored as new DATA columns in an MS which references the raw MS for the other columns. Except for these special cases, the use of this function will be rare.

References MeasurementSet().

## setMemoryResidentSubtables()

void casacore::MeasurementSet::setMemoryResidentSubtables | ( | const MrsEligibility & | mrsEligibility | ) |

Converts the MS to make the specified set of subtables memory resident.

## source() [1/2]

MSSource & casacore::MeasurementSet::source | ( |  | ) |

inline

Definition at line 386 of file MeasurementSet.h.

References source_p.

## source() [2/2]

const MSSource & casacore::MeasurementSet::source | ( |  | ) | const

inline

Definition at line 403 of file MeasurementSet.h.

References source_p.

## sourceTableName()

String casacore::MeasurementSet::sourceTableName | ( |  | ) | const

## spectralWindow() [1/2]

MSSpectralWindow & casacore::MeasurementSet::spectralWindow | ( |  | ) |

inline

Definition at line 387 of file MeasurementSet.h.

References spectralWindow_p.

Referenced by casacore::MSInterface::spectralWindow().

## spectralWindow() [2/2]

const MSSpectralWindow & casacore::MeasurementSet::spectralWindow | ( |  | ) | const

inline

Definition at line 404 of file MeasurementSet.h.

References spectralWindow_p.

## spectralWindowTableName()

String casacore::MeasurementSet::spectralWindowTableName | ( |  | ) | const

## state() [1/2]

MSState & casacore::MeasurementSet::state | ( |  | ) |

inline

Definition at line 388 of file MeasurementSet.h.

References state_p.

## state() [2/2]

const MSState & casacore::MeasurementSet::state | ( |  | ) | const

inline

Definition at line 405 of file MeasurementSet.h.

References state_p.

## stateTableName()

String casacore::MeasurementSet::stateTableName | ( |  | ) | const

## sysCal() [1/2]

MSSysCal & casacore::MeasurementSet::sysCal | ( |  | ) |

inline

Definition at line 389 of file MeasurementSet.h.

References sysCal_p.

## sysCal() [2/2]

const MSSysCal & casacore::MeasurementSet::sysCal | ( |  | ) | const

inline

Definition at line 406 of file MeasurementSet.h.

References sysCal_p.

## sysCalTableName()

String casacore::MeasurementSet::sysCalTableName | ( |  | ) | const

## validateMeasureRefs()

Bool casacore::MeasurementSet::validateMeasureRefs | ( |  | ) |

Validate Measure references - check that all Measure columns have their reference value set, report the ones that don't.

## weather() [1/2]

MSWeather & casacore::MeasurementSet::weather | ( |  | ) |

inline

Definition at line 390 of file MeasurementSet.h.

References weather_p.

## weather() [2/2]

const MSWeather & casacore::MeasurementSet::weather | ( |  | ) | const

inline

Definition at line 407 of file MeasurementSet.h.

References weather_p.

## weatherTableName()

String casacore::MeasurementSet::weatherTableName | ( |  | ) | const

## Member Data Documentation

## antenna_p

MSAntenna casacore::MeasurementSet::antenna_p

private

keep references to the subtables

Definition at line 506 of file MeasurementSet.h.

Referenced by antenna(), and antenna().

## dataDesc_p

MSDataDescription casacore::MeasurementSet::dataDesc_p

private

Definition at line 507 of file MeasurementSet.h.

Referenced by dataDescription(), and dataDescription().

## doNotLockSubtables_p

bool casacore::MeasurementSet::doNotLockSubtables_p

private

Definition at line 524 of file MeasurementSet.h.

## doppler_p

MSDoppler casacore::MeasurementSet::doppler_p

private

Definition at line 508 of file MeasurementSet.h.

Referenced by doppler(), and doppler().

## feed_p

MSFeed casacore::MeasurementSet::feed_p

private

Definition at line 509 of file MeasurementSet.h.

Referenced by feed(), and feed().

## field_p

MSField casacore::MeasurementSet::field_p

private

Definition at line 510 of file MeasurementSet.h.

Referenced by field(), and field().

## flagCmd_p

MSFlagCmd casacore::MeasurementSet::flagCmd_p

private

Definition at line 511 of file MeasurementSet.h.

Referenced by flagCmd(), and flagCmd().

## freqOffset_p

MSFreqOffset casacore::MeasurementSet::freqOffset_p

private

Definition at line 512 of file MeasurementSet.h.

Referenced by freqOffset(), and freqOffset().

## hasBeenDestroyed_p

Bool casacore::MeasurementSet::hasBeenDestroyed_p

private

Definition at line 526 of file MeasurementSet.h.

## history_p

MSHistory casacore::MeasurementSet::history_p

private

Definition at line 513 of file MeasurementSet.h.

Referenced by history(), and history().

## mainLock_p

TableLock casacore::MeasurementSet::mainLock_p

private

Definition at line 527 of file MeasurementSet.h.

## memoryResidentSubtables_p

Bool casacore::MeasurementSet::memoryResidentSubtables_p

private

Definition at line 528 of file MeasurementSet.h.

## mrsDebugLevel_p

int casacore::MeasurementSet::mrsDebugLevel_p

private

Definition at line 525 of file MeasurementSet.h.

## mrsEligibility_p

MrsEligibility casacore::MeasurementSet::mrsEligibility_p

private

Definition at line 529 of file MeasurementSet.h.

## observation_p

MSObservation casacore::MeasurementSet::observation_p

private

Definition at line 514 of file MeasurementSet.h.

Referenced by observation(), and observation().

## pointing_p

MSPointing casacore::MeasurementSet::pointing_p

private

Definition at line 515 of file MeasurementSet.h.

Referenced by pointing(), and pointing().

## polarization_p

MSPolarization casacore::MeasurementSet::polarization_p

private

Definition at line 516 of file MeasurementSet.h.

Referenced by polarization(), and polarization().

## processor_p

MSProcessor casacore::MeasurementSet::processor_p

private

Definition at line 517 of file MeasurementSet.h.

Referenced by processor(), and processor().

## source_p

MSSource casacore::MeasurementSet::source_p

private

Definition at line 518 of file MeasurementSet.h.

Referenced by source(), and source().

## spectralWindow_p

MSSpectralWindow casacore::MeasurementSet::spectralWindow_p

private

Definition at line 519 of file MeasurementSet.h.

Referenced by spectralWindow(), and spectralWindow().

## state_p

MSState casacore::MeasurementSet::state_p

private

Definition at line 520 of file MeasurementSet.h.

Referenced by state(), and state().

## sysCal_p

MSSysCal casacore::MeasurementSet::sysCal_p

private

Definition at line 521 of file MeasurementSet.h.

Referenced by sysCal(), and sysCal().

## weather_p

MSWeather casacore::MeasurementSet::weather_p

private

Definition at line 522 of file MeasurementSet.h.

Referenced by weather(), and weather().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MeasurementSet.h